payum:
    storages:
        PotagerBundle\Entity\Payment:
            doctrine: orm
        PotagerBundle\Entity\PaymentDetails:
            filesystem:
                storage_dir: '%kernel.project_dir%/var/gateways'
                id_property: paypalPaymentId
        PotagerBundle\Entity\AgreementDetails:
            filesystem:
                storage_dir: '%kernel.project_dir%/var/gateways'
                id_property: id
        PotagerBundle\Entity\RecurringPaymentDetails:
            filesystem:
                storage_dir: '%kernel.project_dir%/var/gateways'
                id_property: id

    security:
        token_storage:
            PotagerBundle\Entity\PaymentToken:
                doctrine: orm

    gateways:
        offline:
            factory: offline
        stripe_checkout:
            factory: stripe_checkout
            publishable_key: '%env(STRIPE_PUBLISHABLE_KEY)%'
            secret_key: '%env(STRIPE_SECRET_KEY)%'
            payum.template.obtain_token: 'abonnement/obtain_checkout_token.html.twig'
        paypal_express_checkout:
            factory: paypal_express_checkout
            username: '%env(PAYPAL_USERNAME)%'
            password: '%env(PAYPAL_PASSWORD)%'
            signature: '%env(PAYPAL_SIGNATURE)%'
            sandbox: false
